Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model
Interface IServiceDescription

All Superinterfaces
  Serializable

    public interface IServiceDescription

extends Serializable

Service description of the producer.

This interface is intended to be implemented only by BEA Weblogic Portal.BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Nested Class Summary
`static class` | `IServiceDescription.CookieProtocol` Cookie protocol.

Method Summary
`boolean` | `doesRequireRegistration()` Reurns true if the producer requires registration.
`List<IItemDescription>` | `getCustomModes()` Returns an immutable list of custom modes offered by the producer.
`List<IItemDescription>` | `getCustomUserProfileItems()` Returns an immutable list of user profile items.
`List<IItemDescription>` | `getCustomWindowStates()` Returns an immutable list of custom window states offered by the producer.
`List<Locale>` | `getLocales()` Returns an immutable list of locales supported by the producer.
`List<IBookDescription>` | `getOfferedBooks()` Returns an immutable list of books offered by the producer.
`List<IPageDescription>` | `getOfferedPages()` Returns an immutable list of pages offered by the producer.
`List<IPortletDescription>` | `getOfferedPortlets()` Returns an immutable list of portlets offered by the producer.
`List<IRegistrationPropertyDescription>` | `getRegistrationProperties()` Returns an immutable list of descriptions of registration properties.
`IServiceDescription.CookieProtocol` | `getRequiresInitCookie()` Returns the init cookie requirement
`List<IItemDescription>` | `getUserCategories()` Returns an immutable list of user categories used by the producer.

Method Detail

### doesRequireRegistration

    boolean doesRequireRegistration()

  Reurns true if the producer requires registration.

  Returns
    boolean

### getOfferedPortlets

    List<IPortletDescription> getOfferedPortlets()

  Returns an immutable list of portlets offered by the producer.

  Returns
    offered portlets

### getOfferedPages

    List<IPageDescription> getOfferedPages()

  Returns an immutable list of pages offered by the producer.

  Returns
    offered pages

### getOfferedBooks

    List<IBookDescription> getOfferedBooks()

  Returns an immutable list of books offered by the producer.

  Returns
    offered books

### getUserCategories

    List<IItemDescription> getUserCategories()

  Returns an immutable list of user categories used by the producer.

  Returns
    user categories

### getCustomUserProfileItems

    List<IItemDescription> getCustomUserProfileItems()

  Returns an immutable list of user profile items.

  Returns
    user profile items

### getCustomWindowStates

    List<IItemDescription> getCustomWindowStates()

  Returns an immutable list of custom window states offered by the producer.

  Returns
    custom window states

### getCustomModes

    List<IItemDescription> getCustomModes()

  Returns an immutable list of custom modes offered by the producer.

  Returns
    custom modes

### getRequiresInitCookie

    IServiceDescription.CookieProtocol getRequiresInitCookie()

  Returns the init cookie requirement

  Returns
    init cookie requirement

### getRegistrationProperties

    List<IRegistrationPropertyDescription> getRegistrationProperties()

  Returns an immutable list of descriptions of registration properties.

  Returns
    registration property descriptions

### getLocales

    List<Locale> getLocales()

  Returns an immutable list of locales supported by the producer.

  Returns
    locales

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved